package com.realnet.app-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.app-b.Entity.Calculatorwireframe;
import com.realnet.app-b.Services.CalculatorwireframeService ;








@RequestMapping(value = "/token/Calculatorwireframe")
 @CrossOrigin("*") 
@RestController
public class tokenFree_CalculatorwireframeController {
	@Autowired
	private CalculatorwireframeService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Calculatorwireframe")
		  public Calculatorwireframe Savedata(@RequestBody Calculatorwireframe data) {
		Calculatorwireframe save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Calculatorwireframe/{id}")
	public  Calculatorwireframe update(@RequestBody Calculatorwireframe data,@PathVariable Integer id ) {
		Calculatorwireframe update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Calculatorwireframe/getall/page")
	public Page<Calculatorwireframe> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Calculatorwireframe> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Calculatorwireframe")
	public List<Calculatorwireframe> getdetails() {
		 List<Calculatorwireframe> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Calculatorwireframe")
	public List<Calculatorwireframe> getallwioutsec() {
		 List<Calculatorwireframe> get = Service.getdetails();		
		return get;
}
@GetMapping("/Calculatorwireframe/{id}")
	public  Calculatorwireframe  getdetailsbyId(@PathVariable Integer id ) {
		Calculatorwireframe  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Calculatorwireframe/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}